﻿namespace Netina.Domain.CommandQueries.Commands;

public sealed record CreateProductCategoryCommand(
    string Name,
    string Description,
    bool IsMain,
    Guid ParentId,
    List<StorageFileSDto> Files,
    Dictionary<string, string> Faqs,
    Dictionary<string, string> MetaTags) : IRequest<Guid>;

public sealed record UpdateProductCategoryCommand(
    Guid Id,
    string Name,
    string Description,
    bool IsMain,
    Guid ParentId,
    List<StorageFileSDto> Files,
    Dictionary<string, string> Faqs,
    Dictionary<string, string> MetaTags) : IRequest<bool>;

public sealed record DeleteProductCategoryCommand(Guid Id) : IRequest<bool>;