﻿using Netina.Domain.Entities.Comments;

namespace Netina.Domain.Dtos.LargDtos;

public class CommentLDto : BaseDto<CommentLDto,Comment>
{
    public string Title { get; set; } = string.Empty;
    public string Content { get; set; } = string.Empty;
    public float Rate { get; set; }
    public bool IsBuyer { get; set; }
    public bool IsConfirmed { get; set; }
    public Guid ParentId { get; set; }
    public Guid UserId { get; set; }

    public string UserFullName { get; set; } = string.Empty;

    [AdaptIgnore]
    public List<CommentSDto> Children { get; set; } = new();
}