﻿namespace Netina.Domain.Entities.Seo;

[AdaptTwoWays("[name]LDto", IgnoreAttributes = [typeof(AdaptIgnoreAttribute)], MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]SDto", IgnoreAttributes = [typeof(AdaptIgnoreAttribute)], MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = [typeof(AdaptIgnoreAttribute)], MapType = MapType.Projection)]
[GenerateMapper]
public partial class MetaTag : ApiEntity
{
    public MetaTag()
    {

    }
    public MetaTag(string type, string value)
    {
        Type = type;
        Value = value;
    }

    public string Type { get; internal set; } = string.Empty;
    public string Value { get; internal set; } = string.Empty;
}

public partial class MetaTag
{
    public static MetaTag Create(string type, string value)
        => new(type, value);
}