﻿using FluentValidation;

namespace Netina.Repository.Handlers.Comments.Validators;

public class CreateCommentCommandValidator : AbstractValidator<CreateCommentCommand>
{
    public CreateCommentCommandValidator()
    {
        RuleFor(d => d.Title)
            .NotNull()
            .NotEmpty()
            .WithMessage("عنوان نظر مورد نظر را وارد کنید");

        RuleFor(d => d.Content)
            .NotNull()
            .NotEmpty()
            .WithMessage("متن نظر مورد نظر را وارد کنید");
    }
}