﻿namespace Netina.Domain.Dtos.LargDtos;

public class BrandLDto : BaseDto<BrandLDto,Brand>
{
    public string PersianName { get; set; } = string.Empty;
    public string EnglishName { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool HasSpecialPage { get; set; }
    public string Slug { get; set; } = string.Empty;
    public string PageUrl { get; set; } = string.Empty;
    public string HeaderFileName { get; set; } = string.Empty;
    public List<StorageFileSDto> Files { get; internal set; } = new();
    public List<MetaTagSDto> MetaTags { get; set; } = new();
}