﻿namespace Netina.Domain.Entities.Discounts;

public partial class BrandDiscount : Discount
{
    public BrandDiscount()
    {

    }

    public BrandDiscount(string code, string description, int discountPercent, long discountAmount, bool hasCode, DiscountAmountType amountType, DiscountType type,
        int count, bool immortal, DateTime startDate, DateTime expireDate, long priceFloor, bool hasPriceFloor, long priceCeiling,
        bool hasPriceCeiling, bool isInfinity, long useCount, bool isForInvitation,
        bool isForFirstPurchase, bool isSpecialOffer , Guid brandId)
        : base(code, description, discountPercent, discountAmount, hasCode, amountType, type, count, startDate, expireDate, priceFloor, hasPriceFloor, priceCeiling, hasPriceCeiling, isInfinity, useCount,
            isForInvitation, isSpecialOffer,isForFirstPurchase, immortal)
    {
        BrandId = brandId;
    }
    public Guid BrandId { get; internal set; }
    public Brand? Brand { get; internal set; }
}