﻿namespace Netina.Domain.Enums;

public enum ProductDiversity
{
    [Display(Name = "هیچکدام")]
    None = 0,
    [Display(Name = "رنگ")]
    Color = 1,
    [Display(Name = "گارانتی")]
    Guarantee = 2,
    [Display(Name = "سایز")]
    Size = 3
}

public enum ColorDiversity
{
    [Display(Name = "سفید", Description = "#ffffff")]
    White,
    [Display(Name = "سیاه", Description = "#000000")]
    Black,
    [Display(Name = "آبی", Description = "#0000ff")]
    Blue,
    [Display(Name = "قرمز", Description = "#ff0000")]
    Red,
    [Display(Name = "زرد", Description = "#ffff00")]
    Yellow,
    [Display(Name = "سبز", Description = "#008000")]
    Green,
    [Display(Name = "نارنجی", Description = "#ffa500")]
    Orange,
    [Display(Name = "بنفش", Description = "#800080")]
    Purple,
    [Display(Name = "قهوه‌ای", Description = "#a52a2a")]
    Brown,
    [Display(Name = "صورتی", Description = "#ffc0cb")]
    Pink,
    [Display(Name = "خاکستری", Description = "#808080")]
    Gray,
    [Display(Name = "فیروزه‌ای", Description = "#00ffff")]
    Cyan,
    [Display(Name = "ارغوانی", Description = "#ff00ff")]
    Magenta
}
